Objects queried by QuickOSM are not automatically saved in project file and lost when re-starting 
Status: Closed

Priority: Low

Assignee:

Category: Vectors

Affected QGIS version:3.0.1 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 26868

Description

Reproducible in the following environments

    -  QGIS 3.0.1 on openSUSE Leap 15 + QuickOSM 1.6.1

    -  QGIS 3.0.3 on Linux Mint 18.3 + QuickOSM 1.6.1

Steps to reproduce

    -  Start QGIS 3

    -  Menu: Project > New

    -  Menu: Web > QuickMapServices > OSM > OSM Standart [optional step for OSM background tiles]

    -  Menu: Vector > Quick OSM > QickOSM

    -  Set query parameters to: {key: leisure, value: park, in: Leipzig}

    -  Run query ...

    -  Result so far: 3 new layers (with 599, 98 and 128 objects)

    -  Menu: Project > Save as ... "test.qgs" 

    -  Menu: Project > Quit QGIS

    -  At this point, QGIS will ask: "Save current project?" I chose "Save".

    -  Start QGIS again

    -  Open "test.qgs" - all three new layers exist, but they contain ZERO objects

Workaround?

After saving the project and before closing QGIS, save every new layer as a geo package. This way, I at least do not loose the polygons

although the layers created by QuickOSM will be empty after re-starting QGIS.

Question

Is is a bug in QuickOSM or QGIS or both? Or is this some sort of new intended behavior in QGIS 3?

For reference, I also filed an issue against QuickOSM: https://github.com/3liz/QuickOSM/issues/115

History

#1 - 2018-05-28 08:44 AM - Etienne Trimaille

This issue tracker is related to QGIS software, not for plugin. This issue can closed.

#2 - 2018-05-28 10:01 AM - Sebastian Ernst

Etienne Trimaille wrote:
https://github.com/3liz/QuickOSM/issues/115


This issue tracker is related to QGIS software, not for plugin. This issue can closed.

I understand that. Given the above description, I do not know who is at fault. Is it QGIS or is it the plugin? The plugin fetches the objects - only. QGIS

fails to save them to disk.

#3 - 2018-05-28 11:37 AM - Etienne Trimaille

The plugin creates memory layer. QGIS is not able to save memory layer. I agree QGIS should have a warning when we save this kind of layers.

#4 - 2018-06-04 03:51 PM - Alessandro Pasotti

- Priority changed from Normal to Low

Lowering priority for now, I think it should be closed in favor of opening an issue against the plugin.

#5 - 2018-07-24 05:17 PM - Etienne Trimaille

It's not QuickOSM fault. It's stated in the UI, in the advanced panel, when you execute the query: "save to temporary files".

It's exactly the same behavior with QGIS Processing creating temporary layers.

QGIS should display a warning when we save a QGS project and:

- layers are stored in the temporary folder (/tmp etc)

- layers are in memory (source: Point?crs=EPSG:4326&field=full_id:.....&uid={2e18cdf3-f07b-42be-9911-e5d01584da57} )

#6 - 2018-08-04 12:11 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in master and 3.2.2
